<!-- Start of Table -->
<div class="card shadow p-2">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">
      Task
    </h6>
  </div>
  <div class="card-body">
    <button class="btn btn-primary mb-3" (click)="openModal(addTaskModal)">Add Task</button>

    <!-- Task Table -->
    <div class="table-responsive">
      <table class="table table-bordered">
        <tr class="flex-row">
          <th class="flex-column">
            Title
          </th>

          <th class="flex-column">
            Reminder Date
          </th>

          <th class="flex-column">
            Stage
          </th>
        </tr>

        <!-- Search Fields -->
        <tr class="flex-row">
          <th class="flex-column">
            <input class="form-control" placeholder="Search...">
          </th>

          <th class="flex-column">
          </th>

          <th class="flex-column">
            <select class="form-control">
              <option>1</option>
              <option>2</option>
            </select>
          </th>
        </tr>

        <tr class="flex-row" *ngFor="let task of taskList">
          <td class="flex-column cursor-pointer" (click)="previewTaskDetail(task)">
            {{task.title}}
          </td>

          <td class="flex-column">
            {{task.reminder_date }}
          </td>

          <td class="flex-column">
            {{task.stage }}
          </td>
        </tr>
      </table>
    </div>
  </div>
</div>

<!-- Add Task Modal -->
<ng-template #addTaskModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add Task</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="closeModal()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <div class="flex-item">
          <label>Title</label>
          <input class="form-control" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Assigned To User</label>
          <input class="form-control" />
        </div>

        <div class="flex-item">
          <label>Task Stage</label>
          <input class="form-control" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Reminder Date</label>
          <input class="form-control" />
        </div>

        <div class="flex-item">
          <label>Reminder Time</label>
          <input class="form-control" />
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-primary" class="btn btn-primary" (click)="addTask()">Save</button>
    <button class="btn btn-danger" type="button" (click)="closeModal()">Cancel</button>
  </div>
</ng-template>